package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.Immutable;

@Immutable
public class AuditProcessV implements Serializable {

	@Column(name = "audit_id")
	private String auditId;

	private String auditStatus;

	private String auditTypeCode;
	
	private String parentUnitCode;

	private String criticalityDesc;

	private Integer duration;
	
	private String responseTime;
	
	private String closureTime;

	// @Temporal(TemporalType.DATE)
	private String endDate;

	private String frequency;
	private String lastAuditEndDate;

	private String legalEntityCode;

	private String manDays;

	@Column(name = "plan_audit_remarks", insertable = false)
	private String planAuditRemarks;
	@Column(name = "plan_comments", insertable = false)
	private String planComments;
	private long rowNum;
	// @Temporal(TemporalType.DATE)
	private String startDate;
	private String unitId;
	private String unitName;
	private String unitType;
	
	
	public String getAuditId() {
		return auditId;
	}

	public String getAuditStatus() {
		return auditStatus;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public String getCriticalityDesc() {
		return criticalityDesc;
	}

	public Integer getDuration() {
		return duration;
	}

	public String getEndDate() {
		return endDate;
	}

	public String getFrequency() {
		return frequency;
	}

	public String getLastAuditEndDate() {
		return lastAuditEndDate;
	}

	public String getLegalEntityCode() {
		return legalEntityCode;
	}

	public String getManDays() {
		return manDays;
	}

	public String getPlanAuditRemarks() {
		return planAuditRemarks;
	}

	public String getPlanComments() {
		return planComments;
	}

	public long getRowNum() {
		return rowNum;
	}

	public String getStartDate() {
		return startDate;
	}

	public String getUnitId() {
		return unitId;
	}

	public String getUnitName() {
		return unitName;
	}

	public String getUnitType() {
		return unitType;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public void setAuditStatus(String auditStatus) {
		this.auditStatus = auditStatus;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public void setCriticalityDesc(String criticalityDesc) {
		this.criticalityDesc = criticalityDesc;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

	public String getParentUnitCode() {
		return parentUnitCode;
	}

	public void setParentUnitCode(String parentUnitCode) {
		this.parentUnitCode = parentUnitCode;
	}

	public String getResponseTime() {
		return responseTime;
	}

	public void setResponseTime(String responseTime) {
		this.responseTime = responseTime;
	}

	public String getClosureTime() {
		return closureTime;
	}

	public void setClosureTime(String closureTime) {
		this.closureTime = closureTime;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public void setFrequency(String frequency) {
		this.frequency = frequency;
	}

	public void setLastAuditEndDate(String lastAuditEndDate) {
		this.lastAuditEndDate = lastAuditEndDate;
	}

	public void setLegalEntityCode(String legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public void setManDays(String manDays) {
		this.manDays = manDays;
	}

	public void setPlanAuditRemarks(String planAuditRemarks) {
		this.planAuditRemarks = planAuditRemarks;
	}

	public void setPlanComments(String planComments) {
		this.planComments = planComments;
	}

	public void setRowNum(long rowNum) {
		this.rowNum = rowNum;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public void setUnitType(String unitType) {
		this.unitType = unitType;
	}

}
